> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yafacture.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Calcular nómina para un receptor empleado



## OpenAPI

````yaml https://rest.yafacture.com/openapi-facturacion.json get /nominas-empleados/{nominaId}/{receptorId}/calcular
openapi: 3.0.0
info:
  title: Yafacture
  description: Yafacture API
  version: '1.0'
  contact:
    name: Yafacture
    url: https://yafacture.com
    email: hola@yafacture.com
servers:
  - url: https://rest.yafacture.com
security: []
tags: []
paths:
  /nominas-empleados/{nominaId}/{receptorId}/calcular:
    get:
      tags:
        - Nóminas - empleados
      summary: Calcular nómina para un receptor empleado
      operationId: NominasEmpleadosController_controllerGetCalculoByIdReceptorId
      parameters:
        - name: nominaId
          required: true
          in: path
          schema:
            type: string
        - name: receptorId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NominasEmpleadosDto'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Forbidden resource
                  error:
                    type: string
                    example: Forbidden
                  statusCode:
                    type: integer
                    format: int32
                    example: 403
                required:
                  - message
                  - error
                  - statusCode
      security:
        - x-api-key: []
        - bearer: []
components:
  schemas:
    NominasEmpleadosDto:
      type: object
      properties:
        emisorId:
          type: string
          description: Identificador único del emisor
        cuentaId:
          type: string
          description: Identificador único de la cuenta
        receptorId:
          type: string
          description: Identificador único del receptor
        nominaId:
          type: string
          description: Identificador único de la nómina
        emisorComprobanteId:
          type: string
          description: Identificador único del comprobante del emisor
          default: ''
        salarioBaseCotApor:
          type: string
          description: Salario base de cotización y aportación
          default: ''
        percepciones:
          description: Percepciones del empleado
          default: null
          type: array
          items:
            type: string
        deducciones:
          description: Deducciones del empleado
          default: null
          type: array
          items:
            type: string
        otrosPagos:
          description: Otros pagos del empleado
          default: null
          type: array
          items:
            type: string
        incapacidades:
          description: Incapacidades del empleado
          default: null
          type: array
          items:
            type: string
        status:
          type: boolean
          description: Estado activo/inactivo del empleado en nómina
          default: true
        fecha:
          format: date-time
          type: string
          description: Fecha del registro del empleado en nómina
      required:
        - emisorId
        - cuentaId
        - receptorId
        - nominaId
        - emisorComprobanteId
        - salarioBaseCotApor
        - percepciones
        - deducciones
        - otrosPagos
        - incapacidades
        - status
        - fecha
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        X-API-Key authentication header for the development token generated in
        Yafacture
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````